#ifndef __ANALOGCHANNELCTRL_8G_H
#define __ANALOGCHANNELCTRL_8G_H
#include "sys.h"
#include "AnalogChannelCtrl_2d5g_base.h"

//////////////////////////////////////////////////////////////////////////////
// 			2024/7/X GHz_wcj 8G通道相关定义
//////////////////////////////////////////////////////////////////////////////

#define Bit_595_42542_V1  (1 << 1) //QB
#define Bit_595_42542_V2  (1 << 2) //QC
#define Bit_595_1144_IN1  (1 << 4) //QE
#define Bit_595_1144_IN2  (1 << 5) //QF

//DAC数据类型定义
enum DacDataType_8G
{
	FGN,
	FGP,
	FDN,
	FDP,
};

//DSA序号定义
enum DsaIndex_8G
{
	DSA0_8G,
	DSA1_8G,
};

//DAC配置参数
typedef struct _ParamsDAC_8G
{
	u8 chnlId;
	enum DacDataType_8G type;
	u16 data;	//寄存器控制字
} ParamsDAC_8G;

typedef struct _SpiLines
{
	GPIOPin* clkLine;
	GPIOPin* dataLine;
	GPIOPin* csLine;
}SpiLines;


u32 GetDACConfigWord_8G(ParamsDAC_8G params,u8* dacIndex);
void DSA_PE43711_8G(u8 addrDev,u8 data,SpiLines* spiLines);
void GetDsaSpiLine(u8 chnlId, enum DsaIndex_8G dsaIndex, SpiLines* spiLines);

#endif //__ANALOGCHANNELCTRL_8G_H
